onionshare(1)

NAME
onionshare - a tool for anonymously sharing files over a temporarily set up Tor Hidden service.

SYNOPSIS
onionshare [options] filename

DESCRIPTION

OnionShare lets you anonymously share files. This works either in send or in receive mode. OnionShare sets up use a Tor hidden service to either make files on your computer temporarily accessible over the Internet, or allows the uploading of files to your computer using a hidden service. OnionShare generates an unguessable URL to down- or upload files that you can share with your peers.

In case of sharing with many peers, please enable "Public mode", otherwise OnionShare might interpret multiple accesses as an attack and shut down the hidden service.

OnionShare can configured to run with it's built-in version of tor, a TorBrowser or system tor running in the background. By default, OnionShare uses the built-in version of Tor.

In the case of OnionShare, the crypto key lives in /tmp/onionshare/tmpXXX/private_key. The .onion URL address itself is a fingerprint of the key, which lets the Tor network look up the public key and start an encrypted session. So as long as you transmit the OnionShare URL successfully, the recipient who loads it in Tor Browser gets an end-to-end encrypted session with the server.

OnionShare's default behaviour is to shut down the hidden service and to stop once the file has been downloaded. You can prevent this behaviour by invoking the --stay-open option. This can be useful if you want multiple people to access the same file.

OPTIONS

--help
    display a short help message and exit

--local-only
    don't run a public hidden service, just run on localhost

--receive
    Receive shares instead of sending them

--stay-open
    don't exit after file has been successfully downloaded

--stealth
    Create stealth onion service (advanced)

--shutdown-timeout N
    Shut down the onion service after N seconds

--config CONFIGFILE
    Path to a custom JSON config file (optional)

--debug
    enable more verbose output

AUTHOR
Manual page by Ulrike Uhlig <ulrike at debian dot org>